unit Inplot_TLB;

// ************************************************************************ //
// WARNING                                                                  //
// -------                                                                  //
// The types declared in this file were generated from data read from a     //
// Type Library. If this type library is explicitly or indirectly (via      //
// another type library referring to this type library) re-imported, or the //
// 'Refresh' command of the Type Library Editor activated while editing the //
// Type Library, the contents of this file will be regenerated and all      //
// manual modifications will be lost.                                       //
// ************************************************************************ //

// PASTLWTR : $Revision:   1.11.1.75  $
// File generated on 7/26/99 5:13:58 PM from Type Library described below.

// ************************************************************************ //
// Type Lib: C:\Program Files\Borland\Delphi4\Inplot\Inplot.tlb
// IID\LCID: {97318D29-339F-11D3-8157-0080C855A39A}\0
// Helpfile: 
// HelpString: Inplot Library
// Version:    1.0
// ************************************************************************ //

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

// *********************************************************************//
// GUIDS declared in the TypeLibrary. Following prefixes are used:      //
//   Type Libraries     : LIBID_xxxx                                    //
//   CoClasses          : CLASS_xxxx                                    //
//   DISPInterfaces     : DIID_xxxx                                     //
//   Non-DISP interfaces: IID_xxxx                                      //
// *********************************************************************//
const
  LIBID_Inplot: TGUID = '{97318D29-339F-11D3-8157-0080C855A39A}';
  IID_Iinplotx: TGUID = '{97318D2A-339F-11D3-8157-0080C855A39A}';
  CLASS_inplotx: TGUID = '{97318D2C-339F-11D3-8157-0080C855A39A}';
type

// *********************************************************************//
// Forward declaration of interfaces defined in Type Library            //
// *********************************************************************//
  Iinplotx = interface;
  IinplotxDisp = dispinterface;

// *********************************************************************//
// Declaration of CoClasses defined in Type Library                     //
// (NOTE: Here we map each CoClass to its Default Interface)            //
// *********************************************************************//
  inplotx = Iinplotx;


// *********************************************************************//
// Interface: Iinplotx
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {97318D2A-339F-11D3-8157-0080C855A39A}
// *********************************************************************//
  Iinplotx = interface(IDispatch)
    ['{97318D2A-339F-11D3-8157-0080C855A39A}']
    procedure Step; safecall;
    procedure Select(StartLine: Integer; EndLine: Integer); safecall;
    procedure Message(const S: WideString); safecall;
    procedure FindStr(const S: WideString; Comments: WordBool); safecall;
    procedure Aspace; safecall;
    procedure Rblank; safecall;
    procedure Comment; safecall;
    procedure Uncomment; safecall;
    procedure Rspace; safecall;
    procedure RotateNC(Angle: Double; const Axis: WideString); safecall;
    procedure ShiftNC(const Address: WideString; Value: Double); safecall;
    procedure Reformat(From: Integer; To_: Integer); safecall;
    procedure OrderNC(const DS: WideString; Options: Integer); safecall;
    procedure RepSel(const S: WideString); safecall;
    procedure Back(NumLines: Integer); safecall;
    procedure Forward(NumLines: Integer); safecall;
    procedure Insert(const S: WideString); safecall;
    procedure Renumber(StartBlock: Integer; Increment: Integer; const Address: WideString; 
                       Existing: WordBool; Comments: WordBool); safecall;
    procedure Findval(const Address: WideString; Value: Double); safecall;
    procedure Home; safecall;
    procedure GoBlock(BlockNumber: Integer); safecall;
    procedure Changev(const Address: WideString; OldValue: Double; NewValue: Double); safecall;
    procedure Replace(const OldString: WideString; const NewString: WideString; Comments: WordBool); safecall;
    procedure Add(const Address: WideString; Value: Double); safecall;
    procedure Delete; safecall;
    procedure Copy; safecall;
    procedure Paste; safecall;
    procedure Cut; safecall;
    procedure Scale(const Address: WideString; Times: Double); safecall;
    procedure Reverse; safecall;
    procedure Switch(const Address1: WideString; const Address2: WideString; Reverse1: WordBool; 
                     Reverse2: WordBool); safecall;
    procedure Remove(const Address: WideString; Confirm: WordBool); safecall;
    procedure Front(const S: WideString); safecall;
    procedure Rear(const S: WideString); safecall;
    procedure Input(const Address: WideString); safecall;
    procedure Delstr(const S: WideString); safecall;
    procedure DrawLine(StartX: Double; StartY: Double; StartZ: Double; EndX: Double; EndY: Double; 
                       EndZ: Double; Color: Integer; LineType: Integer); safecall;
    procedure DrawArc(CenterX: Double; CenterY: Double; CenterZ: Double; Radius: Double; 
                      StartAngle: Double; EndAngle: Double; Color: Integer; LineType: Integer; 
                      View: Integer); safecall;
    procedure DrawPoint(X: Double; Y: Double; Z: Double; Color: Integer); safecall;
    procedure Redraw; safecall;
    function GetLine(LineNumber: Integer): WideString; safecall;
    function Get_EditWindow: Integer; safecall;
    procedure Set_EditWindow(Value: Integer); safecall;
    function Get_Turret: Integer; safecall;
    procedure Set_Turret(Value: Integer); safecall;
    function Get_PlotView: Integer; safecall;
    procedure Set_PlotView(Value: Integer); safecall;
    function Get_LastLineNumber: Integer; safecall;
    function Get_CursorLine: Integer; safecall;
    procedure SetLine(LineNumber: Integer; const S: WideString); safecall;
    procedure SelectLine(LineNumber: Integer); safecall;
    function Get_StartSelection: Integer; safecall;
    procedure Set_StartSelection(Value: Integer); safecall;
    function Get_EndSelection: Integer; safecall;
    procedure Set_EndSelection(Value: Integer); safecall;
    function Get_LineLength: Integer; safecall;
    procedure InsertBefore(const S: WideString); safecall;
    procedure InsertAfter(const S: WideString); safecall;
    procedure ReplaceSelection(const S: WideString); safecall;
    procedure DeleteLine(LineNumber: Integer); safecall;
    procedure PlotSelect(LineNumber: Integer); safecall;
    function Get_FirstVisible: Integer; safecall;
    procedure Set_FirstVisible(Value: Integer); safecall;
    function Unformat(const Address: WideString; const NumString: WideString): Double; safecall;
    procedure FormatNum(const Address: WideString; Value: Double); safecall;
    procedure StopAction; safecall;
    function Get_CurrentLineString: WideString; safecall;
    procedure DoCommand(const S: WideString); safecall;
    function Get_Animation: WordBool; safecall;
    procedure Set_Animation(Value: WordBool); safecall;
    procedure Plot(const S: WideString); safecall;
    function Get_PlotWidth: Double; safecall;
    procedure Set_PlotWidth(Value: Double); safecall;
    function Get_AniSpeed: Integer; safecall;
    procedure Set_AniSpeed(Value: Integer); safecall;
    procedure LoadNC(const FileName: WideString); safecall;
    procedure LoadCad(const FileName: WideString); safecall;
    procedure LoadTool(const FileName: WideString); safecall;
    function Get_CurrentBlock(Param2: Integer): Double; safecall;
    procedure Set_CurrentBlock(Param2: Integer; Value: Double); safecall;
    procedure Close; safecall;
    procedure Prompt(const S: WideString); safecall;
    property EditWindow: Integer read Get_EditWindow write Set_EditWindow;
    property Turret: Integer read Get_Turret write Set_Turret;
    property PlotView: Integer read Get_PlotView write Set_PlotView;
    property LastLineNumber: Integer read Get_LastLineNumber;
    property CursorLine: Integer read Get_CursorLine;
    property StartSelection: Integer read Get_StartSelection write Set_StartSelection;
    property EndSelection: Integer read Get_EndSelection write Set_EndSelection;
    property LineLength: Integer read Get_LineLength;
    property FirstVisible: Integer read Get_FirstVisible write Set_FirstVisible;
    property CurrentLineString: WideString read Get_CurrentLineString;
    property Animation: WordBool read Get_Animation write Set_Animation;
    property PlotWidth: Double read Get_PlotWidth write Set_PlotWidth;
    property AniSpeed: Integer read Get_AniSpeed write Set_AniSpeed;
    property CurrentBlock[Param2: Integer]: Double read Get_CurrentBlock write Set_CurrentBlock;
  end;

// *********************************************************************//
// DispIntf:  IinplotxDisp
// Flags:     (4416) Dual OleAutomation Dispatchable
// GUID:      {97318D2A-339F-11D3-8157-0080C855A39A}
// *********************************************************************//
  IinplotxDisp = dispinterface
    ['{97318D2A-339F-11D3-8157-0080C855A39A}']
    procedure Step; dispid 2;
    procedure Select(StartLine: Integer; EndLine: Integer); dispid 3;
    procedure Message(const S: WideString); dispid 4;
    procedure FindStr(const S: WideString; Comments: WordBool); dispid 5;
    procedure Aspace; dispid 6;
    procedure Rblank; dispid 7;
    procedure Comment; dispid 8;
    procedure Uncomment; dispid 9;
    procedure Rspace; dispid 10;
    procedure RotateNC(Angle: Double; const Axis: WideString); dispid 11;
    procedure ShiftNC(const Address: WideString; Value: Double); dispid 12;
    procedure Reformat(From: Integer; To_: Integer); dispid 13;
    procedure OrderNC(const DS: WideString; Options: Integer); dispid 14;
    procedure RepSel(const S: WideString); dispid 15;
    procedure Back(NumLines: Integer); dispid 16;
    procedure Forward(NumLines: Integer); dispid 17;
    procedure Insert(const S: WideString); dispid 18;
    procedure Renumber(StartBlock: Integer; Increment: Integer; const Address: WideString; 
                       Existing: WordBool; Comments: WordBool); dispid 19;
    procedure Findval(const Address: WideString; Value: Double); dispid 20;
    procedure Home; dispid 21;
    procedure GoBlock(BlockNumber: Integer); dispid 22;
    procedure Changev(const Address: WideString; OldValue: Double; NewValue: Double); dispid 23;
    procedure Replace(const OldString: WideString; const NewString: WideString; Comments: WordBool); dispid 24;
    procedure Add(const Address: WideString; Value: Double); dispid 25;
    procedure Delete; dispid 26;
    procedure Copy; dispid 27;
    procedure Paste; dispid 28;
    procedure Cut; dispid 29;
    procedure Scale(const Address: WideString; Times: Double); dispid 30;
    procedure Reverse; dispid 31;
    procedure Switch(const Address1: WideString; const Address2: WideString; Reverse1: WordBool; 
                     Reverse2: WordBool); dispid 32;
    procedure Remove(const Address: WideString; Confirm: WordBool); dispid 33;
    procedure Front(const S: WideString); dispid 34;
    procedure Rear(const S: WideString); dispid 35;
    procedure Input(const Address: WideString); dispid 36;
    procedure Delstr(const S: WideString); dispid 37;
    procedure DrawLine(StartX: Double; StartY: Double; StartZ: Double; EndX: Double; EndY: Double; 
                       EndZ: Double; Color: Integer; LineType: Integer); dispid 39;
    procedure DrawArc(CenterX: Double; CenterY: Double; CenterZ: Double; Radius: Double; 
                      StartAngle: Double; EndAngle: Double; Color: Integer; LineType: Integer; 
                      View: Integer); dispid 40;
    procedure DrawPoint(X: Double; Y: Double; Z: Double; Color: Integer); dispid 41;
    procedure Redraw; dispid 42;
    function GetLine(LineNumber: Integer): WideString; dispid 43;
    property EditWindow: Integer dispid 45;
    property Turret: Integer dispid 46;
    property PlotView: Integer dispid 47;
    property LastLineNumber: Integer readonly dispid 48;
    property CursorLine: Integer readonly dispid 49;
    procedure SetLine(LineNumber: Integer; const S: WideString); dispid 50;
    procedure SelectLine(LineNumber: Integer); dispid 51;
    property StartSelection: Integer dispid 53;
    property EndSelection: Integer dispid 54;
    property LineLength: Integer readonly dispid 55;
    procedure InsertBefore(const S: WideString); dispid 56;
    procedure InsertAfter(const S: WideString); dispid 57;
    procedure ReplaceSelection(const S: WideString); dispid 58;
    procedure DeleteLine(LineNumber: Integer); dispid 60;
    procedure PlotSelect(LineNumber: Integer); dispid 61;
    property FirstVisible: Integer dispid 62;
    function Unformat(const Address: WideString; const NumString: WideString): Double; dispid 63;
    procedure FormatNum(const Address: WideString; Value: Double); dispid 64;
    procedure StopAction; dispid 65;
    property CurrentLineString: WideString readonly dispid 66;
    procedure DoCommand(const S: WideString); dispid 67;
    property Animation: WordBool dispid 1;
    procedure Plot(const S: WideString); dispid 38;
    property PlotWidth: Double dispid 44;
    property AniSpeed: Integer dispid 52;
    procedure LoadNC(const FileName: WideString); dispid 59;
    procedure LoadCad(const FileName: WideString); dispid 68;
    procedure LoadTool(const FileName: WideString); dispid 70;
    property CurrentBlock[Param2: Integer]: Double dispid 71;
    procedure Close; dispid 69;
    procedure Prompt(const S: WideString); dispid 72;
  end;

  Coinplotx = class
    class function Create: Iinplotx;
    class function CreateRemote(const MachineName: string): Iinplotx;
  end;

implementation

uses ComObj;

class function Coinplotx.Create: Iinplotx;
begin
  Result := CreateComObject(CLASS_inplotx) as Iinplotx;
end;

class function Coinplotx.CreateRemote(const MachineName: string): Iinplotx;
begin
  Result := CreateRemoteComObject(MachineName, CLASS_inplotx) as Iinplotx;
end;

end.
